package simpleJPA.controller;
import simpleJPA.model.*;

/**
 * This class retrieves data from InputClientForm_JSP and passes it to the model, the persistence layer.
 */
public class AddClient {// extends ActionSupport { --> this would be used w/n a webapp using Spring

	Client client;
	DB_Accessor dba = new DB_Accessor();
	String SUCCESS = "success";
	Boolean update = false;
	Boolean updateMany = false;

    public String execute(){// throws Exception { --> this would be used w/n a webapp extending ActionSupport
    	if (update)
    		dba.updateClientEmployee(client) ;
    	else if (updateMany)
    		dba.updateClientEmployees(client);
    	else 
    		dba.insertClient(client);        
        return SUCCESS;
    }

	public Client getClient() {
		return client;
	}

	public void setClient(Client client) {
		this.client = client;		
	}

	public Boolean getUpdate() {
		return update;
	}

	public void setUpdate(Boolean update) {
		this.update = update;
	}

	public Boolean getUpdateMany() {
		return updateMany;
	}

	public void setUpdateMany(Boolean updateMany) {
		this.updateMany = updateMany;
	}
    
	
}
