package simpleJPA.model;

import java.util.HashSet;
import java.util.Set;


public class Client {
	

	private int ID;

	private String name;
	private String industry;
	private String headquarterLocation;

	private Employee employee;

	private Set<Employee> employees = new HashSet<Employee>();
	

		
	public Client() {
		this.name = "None specified";
		this.industry = "None specified";		
		this.headquarterLocation = "None specified";

	}


	public Client(String name, String industry,
			String headquarterLocation) {
		this.name = name;
		this.industry = industry;
		this.headquarterLocation = headquarterLocation;
	}
	
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	
	public String getID() {	
		return Integer.toString(ID);
	}
	public int getID_int() {	
		return ID;
	}
	
	public void setID(String id) {
		ID = new Integer(id).intValue();
	}
	public void setID(int id) {
		ID = id;
	}

	public String getHeadquarterLocation() {
		return headquarterLocation;
	}
	public void setHeadquarterLocation(String headquarterLocation) {
		this.headquarterLocation = headquarterLocation;
	}


	/*these are for the single, 1:1 relationship
	 */
	public Employee getEmployee() {
		return employee;
	}


	public void setEmployee(Employee employee) {
		this.employee = employee;
	}
	

  /*these are for the collection, n:1 relationship
   */
	public Set <Employee> getEmployees() {
		return employees;
	}


	public void addEmployee(Employee employee) {
		employees.add(employee);
	}

	
	

}
